<!-- Single Context Forecast View -->
<template>

    <lightning-card class="custom_card-style slds-box_border slds-m-around_small">
        <lightning-formatted-date-time class="slds-m-around_small slds-text-heading_large"
                                       value={date}
                                       year="numeric"
                                       month="long"
                                       day="2-digit"
                                       weekday="long">

        </lightning-formatted-date-time>

        <lightning-layout class="slds-p-around_medium">
            <lightning-layout-item size=4>
                <div class="slds-align_absolute-center">
                    <img src={day.condition.icon} class="custom_img-size">
                </div>
                <div class="slds-text-heading_medium slds-align_absolute-center">
                    {day.condition.text}
                </div>
            </lightning-layout-item>

            <lightning-layout-item size=8 class="slds-text-heading_small slds-m-vertical_large">

                <template if:true={isCelsius}>
                    {labels.maxTemperature} {day.maxtemp_c} {labels.celsiusSmall}<br/>
                    {labels.minTemperature} {day.mintemp_c} {labels.celsiusSmall}<br/>
                </template>

                <template if:true={isFahrenheit}>
                    {labels.maxTemperature} {day.maxtemp_f} {labels.fahrenheitSmall}<br/>
                    {labels.minTemperature} {day.mintemp_f} {labels.fahrenheitSmall}<br/>
                </template>
            </lightning-layout-item>

        </lightning-layout>
    </lightning-card>
</template>